## install.zip

=== man/Makefile ===
##################################
# Man page installation for linux
#

ifndef PREFIXINSTALLDIR
PREFIXINSTALLDIR=/usr
endif

MANINSTALLDIR=$(PREFIXINSTALLDIR)/man

installman:
	install -d -m 755 $(MANINSTALLDIR)/man1
	install -d -m 755 $(MANINSTALLDIR)/man5
	install -m 644 man1/*.1 $(MANINSTALLDIR)/man1
	install -m 644 man5/*.5 $(MANINSTALLDIR)/man5

=== debian/changelog ===
fpc (1.00-0) unstable; urgency=low

  * New Upstream Release

 -- Peter Vreman <peter@freepascal.org>  Sun, 09 Jun 2000 12:00:00 +0200

fpc (0.99.13-19991013-4) unstable; urgency=low

  * Fixed bashism in samplecfg (Closes: Bug#50636)
  * Changed source-arch to 'i386' (Closes: Bug#50438)

 -- Mika Fischer <mf@debian.org>  Sat, 20 Nov 1999 22:18:11 +0100

fpc (0.99.13-19991013-3) unstable; urgency=low

  * Fixed bug which overwrote existing config files during an update
    (Closes: Bug#50278)

 -- Mika Fischer <mf@debian.org>  Tue, 16 Nov 1999 23:57:36 +0100

fpc (0.99.13-19991013-2) unstable; urgency=low

  * Fixed bug in debian/rules (Fixes: #50096)

 -- Mika Fischer <mf@debian.org>  Sat, 13 Nov 1999 20:31:20 +0100

fpc (0.99.13-19991013-1) unstable; urgency=low

  * Removed fp-fv due to licensing issues.

 -- Mika Fischer <mf@debian.org>  Wed, 13 Oct 1999 19:33:30 +0200

fpc (0.99.13-19991005-1) unstable; urgency=low

  * New maintainer

 -- Mika Fischer <mf@debian.org>  Wed, 13 Oct 1999 19:33:13 +0200

fpc (0.99.13-19991001-1) unstable; urgency=low

  * New maintainer
  * Updated to policy 3.0.1

 -- Joseph Carter <knghtbrd@debian.org>  Tue, 27 Jul 1999 18:05:05 -0700

fpc (0.99.12b-1) unstable; urgency=low

  * New Upstream Release

 -- Peter Vreman <pfv@cooldown.demon.nl>  Thu, 10 Jun 1999 12:00:00 +0200

fpc (0.99.12a-1) unstable; urgency=low

  * Initial Release

 -- Peter Vreman <pfv@cooldown.demon.nl>  Thu, 10 Jun 1999 12:00:00 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "mf@debian.org"
End:

=== debian/control ===
Source: fpc
Section: devel
Priority: optional
Architecture: i386
Maintainer: Mika Fischer <mf@debian.org>
Standards-Version: 3.1.1

Package: fp-compiler
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0)
Suggests: fp-utils, fp-docs (>= 0.99.15)
Replaces: fpc
Description: Free Pascal Compiler
 The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32bit
 Pascal Compiler. It comes with fully TP 7.0 compatible run-time library.
 Some extensions are added to the language, like function overloading. Shared
 libraries can be linked and created. Basic Delphi support is already
 implemented (classes,exceptions,ansistrings). This package contains
 the commandline compiler. You need at least the RTL package before you
 can start compiling anything.

Package: fp-utils
Architecture: i386
Recommends: fp-compiler (= 0.99.15-0)
Replaces: fpc
Description: Free Pascal Utils
 This package contains some handy utils for usage with the Free Pascal
 Compiler:
   - ppumove     Place multiple units in a shared library
   - ppufiles    Show needed files for units
   - ppudump     Dump the information stored in a .ppu (unit) file
   - fpcmake     Create Makefile from Makefile.fpc
   - h2pas       Convert .h files to pascal units
   - ppdep       Create a dependency file which can be used with Makefiles
   - ptop        Source beautifier
   - data2inc    Convert binary/text data to include files
   - plex/pyacc  Pascal Lex/Yacc implementation

Package: fp-docs
Architecture: all
Replaces: fpc
Description: Free Pascal Documentation
 Documentation for the Free Pascal Compiler. The documentation is
 only available in PDF format.

Package: fp-units-rtl
Architecture: i386
Recommends: fp-compiler (= 0.99.15-0)
Replaces: fpc, fp-rtl
Description: Free Pascal Runtime Library
 Runtime Libraries for the Free Pascal Compiler.

Package: fp-units-base
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0)
Description: Free Pascal base units
 Free Pascal units for common libraries, some of these units are also
 required by the Free Component Library :
  - X11 (Xlib, Xutil)
  - NCurses
  - ZLib

Package: fp-units-fcl
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0), fp-units-base (= 0.99.15-0)
Replaces: fp-fcl
Description: Free Pascal Free Component Library
 Free Component Library for the Free Pascal Compiler.

Package: fp-units-api
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0)
Replaces: fp-api
Description: Free Pascal API units
 Free Pascal units for console keyboard,mouse,video and file handling.

Package: fp-units-gtk
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0)
Replaces: fp-gtk
Description: Free Pascal units for GTK 1.2.x
 Free Pascal units and examples to create programs with GTK 1.2.x

Package: fp-units-db
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0)
Description: Free Pascal units for some database libraries
 Free Pascal units with bindings for:
  - Mysql
  - Interbase
  - Postgres

Package: fp-units-gfx
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0), fp-units-base (= 0.99.15-0)
Description: Free Pascal units for some graphics libraries
 Free Pascal units with bindings for:
  - Forms 0.88
  - Svgalib
  - GGI
  - OpenGL

Package: fp-units-net
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0)
Description: Free Pascal units for networking
 Free Pascal units for creating network tools:
  - Inet unit for easier tcp/ip handling
  - UnCGI unit for easy cgi handling

Package: fp-units-misc
Architecture: i386
Depends: fp-units-rtl (= 0.99.15-0)
Description: Free Pascal miscellaneous units
 Free Pascal miscellaneous units for:
  - Utmp
  - PasZLib (pascal only zlib implementation)

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for Free Pascal

# Note: You must unset FPCDIR before using this Makefile

# Documentation type to use pdf/html
DOCTYPE=pdf

# Get Package version and FPC version out of changelog file
PACKAGEVERSION:=$(shell head -n 1 debian/changelog | awk '{ print $$2 }' | tr -d '[()]')
FPCVERSION:=$(shell echo $(PACKAGEVERSION) | awk -F '-' '{ print $$1 }')
# Get directories	
PWD:=$(shell pwd)
BUILD_DIR=$(PWD)/debian/build
INSTALL_DIR=$(PWD)/debian/tmp
DOC_DIR=$(INSTALL_DIR)/usr/share/doc
# Get utils
NEWPP=$(PWD)/compiler/ppc386
NEWPPUFILES=$(PWD)/utils/ppufiles
# Create default options
BUILDOPTS=PP=$(NEWPP)
INSTALLOPTS=PP=$(NEWPP) PPUFILES=$(NEWPPUFILES) PREFIXINSTALLDIR=$(INSTALL_DIR)/usr

export DH_COMPAT=2
# export DH_VERBOSE=1

###################
# Clean
#

clean:
	@echo "--- Cleaning"
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp install-arch-stamp arrange-arch-stamp
	rm -f build-indep-stamp install-indep-stamp

	rm -f debian-files-stamp
	rm -f debian/*.files debian/*.docs debian/*.examples debian/*.postinst

	$(MAKE) compiler_distclean
	$(MAKE) rtl_distclean
	$(MAKE) fcl_distclean
	$(MAKE) api_distclean
	$(MAKE) utils_distclean
	$(MAKE) packages_distclean

	$(MAKE) -C docs clean

	dh_clean

# Cannot do that because the control-file is often needed afetr a cleanup
#	rm -f debian/control


###################
# Debian files
#

debian-files: debian-files-stamp
debian-files-stamp:
	@echo "--- Creating debian files"
	bash debian/fixdeb debian

	touch debian-files-stamp


###################
# Arch packages
#

build-arch: build-arch-stamp
build-arch-stamp: debian-files-stamp
	@echo "--- Building"
	dh_testdir

# First make a new Compiler and RTL using a make cycle
	$(MAKE) compiler_cycle
	$(MAKE) rtl_clean rtl_smart $(BUILDOPTS)
	$(MAKE) fcl_smart $(BUILDOPTS)
	$(MAKE) api_smart $(BUILDOPTS)
	$(MAKE) packages_smart $(BUILDOPTS)
	$(MAKE) utils_all $(BUILDOPTS)

	touch build-arch-stamp


install-arch: install-arch-stamp
install-arch-stamp: build-arch-stamp debian-files-stamp
	@echo "--- Installing"
	dh_testdir
	dh_testroot
	dh_clean -k

# Specify the compiler to use so installing will use the correct versioned dir
	$(MAKE) compiler_install $(INSTALLOPTS)
	$(MAKE) rtl_install $(INSTALLOPTS)
	$(MAKE) fcl_install $(INSTALLOPTS)
	$(MAKE) api_install $(INSTALLOPTS)
	$(MAKE) utils_install $(INSTALLOPTS)
	$(MAKE) packages_install $(INSTALLOPTS)

	$(MAKE) fcl_exampleinstall $(INSTALLOPTS) DOCINSTALLDIR=$(DOC_DIR)/fp-units-fcl
	$(MAKE) api_exampleinstall $(INSTALLOPTS) DOCINSTALLDIR=$(DOC_DIR)/fp-units-api
	$(MAKE) -C packages pkggtk_exampleinstall $(INSTALLOPTS) DOCINSTALLDIR=$(DOC_DIR)/fp-units-gtk
	$(MAKE) -C packages pkggfx_exampleinstall $(INSTALLOPTS) DOCINSTALLDIR=$(DOC_DIR)/fp-units-gfx
	$(MAKE) -C packages pkgmisc_exampleinstall $(INSTALLOPTS) DOCINSTALLDIR=$(DOC_DIR)/fp-units-misc
	$(MAKE) -C packages pkgbase_exampleinstall $(INSTALLOPTS) DOCINSTALLDIR=$(DOC_DIR)/fp-units-base
	$(MAKE) -C packages pkgnet_exampleinstall $(INSTALLOPTS) DOCINSTALLDIR=$(DOC_DIR)/fp-units-net
	$(MAKE) -C packages pkgdb_exampleinstall $(INSTALLOPTS) DOCINSTALLDIR=$(DOC_DIR)/fp-units-db

	$(MAKE) man_install $(INSTALLOPTS) PREFIXINSTALLDIR=$(INSTALL_DIR)/usr/share
	$(MAKE) demo_install $(INSTALLOPTS) DOCINSTALLDIR=$(INSTALL_DIR)/usr/share/doc/fp-compiler
	$(MAKE) doc_install $(INSTALLOPTS) DOCINSTALLDIR=$(INSTALL_DIR)/usr/share/doc/fp-compiler

	touch install-arch-stamp


arrange-arch: arrange-arch-stamp
arrange-arch-stamp: install-arch-stamp debian-files-stamp
	dh_testversion 2
	dh_testdir
	dh_testroot
	dh_movefiles -a

	touch arrange-arch-stamp


###################
# Documentation
#

build-indep: build-indep-stamp
build-indep-stamp: debian-files-stamp
	@echo "--- Building Documentation"
	dh_testdir

	$(MAKE) -C docs $(DOCTYPE)

	touch build-indep-stamp


install-indep: install-indep-stamp
install-indep-stamp: debian-files build-indep
	@echo "--- Installing Documentation"
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) -C docs $(DOCTYPE)install DOCINSTALLDIR=$(INSTALL_DIR)/usr/share/doc/fpc/$(FPCVERSION)/

	touch install-indep-stamp


###################
# Generic
#

build: build-arch build-indep

install: install-arch install-indep

binary: binary-indep binary-arch


###################
# Deb building
#

binary-indep: build-indep install-indep debian-files
	@echo "--- Building: arch-indep packages"
	dh_testversion 2
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installchangelogs -i
	dh_movefiles -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch arrange-arch debian-files
	@echo "--- Building: arch packages"
	dh_testversion 2
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installchangelogs -a

	dh_installchangelogs -pfp-compiler logs/Changes.compiler
	dh_installchangelogs -pfp-rtl logs/Changes.rtl
	dh_installchangelogs -pfp-utils logs/Changes.utils
	dh_installchangelogs -pfp-units-fcl logs/Changes.fcl
	dh_installchangelogs -pfp-units-api logs/Changes.api

	dh_undocumented -a
	dh_installexamples -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a


.PHONY: build clean binary debian-files \
        build-arch install-arch binary-arch \
        binary-indep
